petsc-3.4.2 2013-07-02

# DMMeshSetupSection

Layout Section based upon discretization and boundary condition information in the Mesh

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshSetupSection(DM dm, SectionReal section)

Collective on DMMesh

### Input Parameters

mesh -The DMMesh object

### Output Parameter

section -The section

### Keywords

mesh, section, cell

### See Also

DMMeshCreate(), SectionRealCreate()

Level:intermediate
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex10.c.html